#!/bin/sh

rm -rf /boot/zImage-4.1.15+gb63f3f5

# packages
rpm -i discover-cam-0.1-r0.cortexa7hf_neon.rpm
rpm -i e2fsprogs-1.42.99+1.43+git0+0f26747167-r0.cortexa7hf_neon.rpm
rpm -i e2fsprogs-badblocks-1.42.99+1.43+git0+0f26747167-r0.cortexa7hf_neon.rpm
rpm -i e2fsprogs-e2fsck-1.42.99+1.43+git0+0f26747167-r0.cortexa7hf_neon.rpm
rpm -i e2fsprogs-mke2fs-1.42.99+1.43+git0+0f26747167-r0.cortexa7hf_neon.rpm
rpm -i fsl-rc-local-1.0-r0.cortexa7hf_neon.rpm
rpm -i haveged-1.9.1-r0.cortexa7hf_neon.rpm
rpm -i hostapd-2.6-r0.cortexa7hf_neon.rpm
rpm -i http-scr1800-0.1-r0.cortexa7hf_neon.rpm
rpm -i init-ifupdown-1.0-r7.cortexa7hf_neon.rpm
rpm -i libcom-err2-1.42.99+1.43+git0+0f26747167-r0.cortexa7hf_neon.rpm
rpm -i libe2p2-1.42.99+1.43+git0+0f26747167-r0.cortexa7hf_neon.rpm
rpm -i libext2fs2-1.42.99+1.43+git0+0f26747167-r0.cortexa7hf_neon.rpm
rpm -i libss2-1.42.99+1.43+git0+0f26747167-r0.cortexa7hf_neon.rpm
rpm -i read-hwinfo-0.1-r0.cortexa7hf_neon.rpm
rpm -i rtspProxyClient-1.2.0-r0.cortexa7hf_neon.rpm
rpm -i safiecam-0.1-r0.cortexa7hf_neon.rpm
rpm -i setup-netcfg-0.1-r0.cortexa7hf_neon.rpm
rpm -i setup-security-0.1-r0.cortexa7hf_neon.rpm
rpm -i wpa-supplicant-2.6-r0.cortexa7hf_neon.rpm
rpm -i wpa-supplicant-cli-2.6-r0.cortexa7hf_neon.rpm
rpm -i wpa-supplicant-passphrase-2.6-r0.cortexa7hf_neon.rpm
rpm -i update-pkg-0.1-r0.cortexa7hf_neon.rpm

# clean up rpm
rm -f *.rpm


# updated files, initscript, sysvinit package
cp checkroot.sh /etc/init.d/checkroot.sh
cp rcS.default  /etc/default/rcS


# kernel and device tree
mkdir /tmp/fat
mount -t vfat /dev/mmcblk0p1 /tmp/fat

cp zImage-4.1.15+gb63f3f5 /tmp/fat/zImage
cp imx6ul-skkcam.dtb /tmp/fat/imx6ul-skkcam.dtb
rm -f zImage-4.1.15+gb63f3f5 imx6ul-skkcam.dtb

cp /tmp/fat/zImage /boot/zImage-4.1.15+gb63f3f5
sync

umount /tmp/fat


# make link for rc.local
cd /etc/rc2.d
ln -s ../init.d/rc.local S99rc.local 
cd /etc/rc3.d
ln -s ../init.d/rc.local S99rc.local 
cd /etc/rc4.d
ln -s ../init.d/rc.local S99rc.local 
cd /etc/rc5.d
ln -s ../init.d/rc.local S99rc.local 


# network config
cp /etc/setup-netcfg/user.cfg /www/pages/user.cfg
sync
