#!/bin/sh
# ping check & reboot

config_file=/etc/setup-netcfg/user.cfg
#prboot_file=/etc/setup-netcfg/safie/prboot.dat
prboot_file=/home/root/ping_rbt.dat
tmp_file=/tmp/.tmp_prboot


# load config file
. $config_file

if [ "$use_rb_ping" != "1" ]; then
	if [ -e $prboot_file ]; then
		rm $prboot_file
	fi
	exit 0
fi
if [ -z "$ping_dest" ] || [ -z "$ping_sec" ] || [ -z "$ping_nfail" ] || [ -z "$ping_nrboot" ]; then
	exit 1
fi
if [ $ping_sec -eq 0 ]; then
	exit 1
fi

sleep 60

nfail=0
if [ -e $prboot_file ]; then
	. $prboot_file
else
	touch $prboot_file
fi
if [ -z $nrboot ]; then
	nrboot=0
fi

# run loop
while :
do
	sleep $ping_sec

	ping -c 1 -w 3 $ping_dest  > /dev/null 2>&1
	presult=$?
	if [ $presult -eq 0 ]; then
		nfail=0
	else
		nfail=`expr $nfail + 1`
	fi

	if [ $nfail -ge $ping_nfail ]; then
		nfail=0
		nrboot=`expr $nrboot + 1`
		if [ $nrboot -gt $ping_nrboot ]; then
			tail -20 $prboot_file | grep -v "nrboot" > $tmp_file
			echo "# `date +"%Y/%m/%d %H:%M:%S"` limit reboot $nrboot, $ping_nrboot" >> $tmp_file
			echo "nrboot=0" >> $tmp_file
			mv $tmp_file $prboot_file
			/bin/sync
			exit 0
		else
			tail -20 $prboot_file | grep -v "nrboot" > $tmp_file
			echo "# `date +"%Y/%m/%d %H:%M:%S"` ping-reboot $nrboot, $ping_nrboot" >> $tmp_file
			echo "nrboot=$nrboot" >> $tmp_file
			mv $tmp_file $prboot_file
			/bin/sync

			# !!!!!!!!!!
			/sbin/reboot
		fi
	fi
done


exit 0
