#!/bin/sh

# get params
saveIFS=$IFS
IFS='=&'
parm=($QUERY_STRING)
IFS=$saveIFS

# store to array
declare -A array
for ((i=0; i<${#parm[@]}; i+=2))
do
    array[${parm[i]}]=${parm[i+1]}
done

n_port=${array[port]}

. /var/tmp/hwinfo

if [ "$n_port" = "0" ]; then
	sudo /usr/local/bin/gpio_ctl -w $gpio_poe2 0
	sleep 1
	sudo /usr/local/bin/gpio_ctl -w $gpio_poe2 1
elif [ "$n_port" = "1" ]; then
	sudo /usr/local/bin/gpio_ctl -w $gpio_poe1 0
	sleep 1
	sudo /usr/local/bin/gpio_ctl -w $gpio_poe1 1
else
	sleep 1
fi

