#!/bin/sh

PATH="/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin"

. /etc/setup-netcfg/user.cfg

if [ "$inet_if" != "LTE" ]; then
	exit 0
fi
if [ -z "$lte_apn" ] || [ -z "$lte_user" ] || [ -z "$lte_password" ]; then
	exit 0
fi

lte=`/sbin/ifconfig | grep usb0 | wc -l`

if [ $lte -eq 0 ]; then
	ifdown usb0
	sleep 1
	echo "usb0 up by cron" | logger
	ifup usb0
fi
