#!/bin/sh
# set reboot-schedule

config_file=/etc/setup-netcfg/user.cfg
tmp_conf=/tmp/.tmp_cron_rbt
rbt_prog=/usr/local/bin/rbt_sched.sh

# load config file
. $config_file


case "$rb_cfg" in
"month")
	echo "$rb_minute $rb_hour $rb_day * *  $rbt_prog" > $tmp_conf
	;;
"week")
	echo "$rb_minute $rb_hour * * $rb_week  $rbt_prog" > $tmp_conf
	;;
"day")
	echo "$rb_minute $rb_hour * * *  $rbt_prog" > $tmp_conf
	;;
# "disable")
*)
	/usr/bin/crontab -u root -r
	exit 0
	;;
esac


/usr/bin/crontab -u root $tmp_conf


exit 0
